GPGSigned Class Reference

`#include <gpgsigned.h>`

Inheritance diagram for GPGSigned:
[legend]

## Public Member Functions

| GPGSigned (const std::string &signature)
| GPGSigned (const Tag *tag)
virtual | ~GPGSigned ()
const std::string & | signature () const
virtual const std::string & | filterString () const
virtual StanzaExtension * | newInstance (const Tag *tag) const
Tag * | tag () const
virtual StanzaExtension * | clone () const
Public Member Functions inherited from StanzaExtension
| StanzaExtension (int type)
virtual | ~StanzaExtension ()
virtual Stanza * | embeddedStanza () const
virtual Tag * | embeddedTag () const
int | extensionType () const

## Detailed Description

This is an abstraction of a jabber:x:signed namespace element, as used in XEP-0027 (Current Jabber OpenPGP Usage).

This class does not sign or verify any stanza content. It's meant to be an abstraction of the XML representation only.

XEP version: 1.3

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.9

Definition at line 38 of file gpgsigned.h.

## Constructor & Destructor Documentation

## GPGSigned() [1/2]

GPGSigned | ( | const std::string & | signature | ) |

Constructs a new object with the given signature.

Parameters

  signature | The signature.

Definition at line 20 of file gpgsigned.cpp.

## GPGSigned() [2/2]

GPGSigned | ( | const Tag * | tag | ) |

Constructs an GPGSigned object from the given Tag. To be recognized properly, the Tag should have a name of 'x' in the `jabber:x:signed` namespace.

Parameters

  tag | The Tag to parse.

Definition at line 28 of file gpgsigned.cpp.

## ~GPGSigned()

~GPGSigned | ( |  | ) |

virtual

Virtual destructor.

Definition at line 39 of file gpgsigned.cpp.

## Member Function Documentation

## clone()

virtual StanzaExtension * clone | ( |  | ) | const

inline virtual

Returns an identical copy of the current StanzaExtension.

Returns
  An identical copy of the current StanzaExtension.

Implements StanzaExtension.

Definition at line 78 of file gpgsigned.h.

## filterString()

const std::string & filterString | ( |  | ) | const

virtual

Returns an XPath expression that describes a path to child elements of a stanza that an extension handles.

Returns
  The extension's filter string.

Implements StanzaExtension.

Definition at line 43 of file gpgsigned.cpp.

## newInstance()

virtual StanzaExtension * newInstance | ( | const Tag * | tag | ) | const

inline virtual

Returns a new Instance of the derived type. Usually, for a derived class FooExtension, the implementation of this function looks like:

StanzaExtension* FooExtension::newInstance( const Tag* tag ) const
{
return new FooExtension( tag );
}
gloox::GPGSigned::tag
Tag * tag() const
Definition gpgsigned.cpp:51
gloox::StanzaExtension::StanzaExtension
StanzaExtension(int type)
Definition stanzaextension.h:211
gloox::Tag
This is an abstraction of an XML element.
Definition tag.h:47

Returns
  The derived extension's new instance.

Implements StanzaExtension.

Definition at line 69 of file gpgsigned.h.

## signature()

const std::string & signature | ( |  | ) | const

inline

Returns the signature.

Returns
  The signature.

Definition at line 63 of file gpgsigned.h.

## tag()

Tag * tag | ( |  | ) | const

virtual

Returns a Tag representation of the extension.

Returns
  A Tag representation of the extension.

Implements StanzaExtension.

Definition at line 51 of file gpgsigned.cpp.

The documentation for this class was generated from the following files:

- gpgsigned.h
- gpgsigned.cpp